# __gnu_parallel::Job< _DifferenceTp > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _DifferenceTp>
struct __gnu_parallel::Job< _DifferenceTp >

One job for a certain thread.

Definition at line 60 of file workstealing.h.

## Public Types

- typedef _DifferenceTp difference_type

## Public Attributes

- volatile difference_type first
- volatile difference_type last
- volatile difference_type load

## Member Data Documentation

template<typename _DifferenceTp>

volatile difference_type __gnu_parallel::Job< _DifferenceTp >::first

First element.

Changed by owning and stealing thread. By stealing thread, always incremented.

Definition at line 68 of file workstealing.h.

Referenced by __gnu_parallel::for_each_template_random_access_workstealing().

template<typename _DifferenceTp>

volatile difference_type __gnu_parallel::Job< _DifferenceTp >::last

Last element.

Changed by owning thread only.

Definition at line 73 of file workstealing.h.

Referenced by __gnu_parallel::for_each_template_random_access_workstealing().

template<typename _DifferenceTp>

volatile difference_type __gnu_parallel::Job< _DifferenceTp >::load

Number of elements, i. e. `last-first+1`.

Changed by owning thread only.

Definition at line 78 of file workstealing.h.

Referenced by __gnu_parallel::for_each_template_random_access_workstealing().

The documentation for this struct was generated from the following file:

- workstealing.h